# $Revision: 1.17 $, $Date: 2002/07/23 10:32:05 $
Summary:	Trace the route of IP packets going to "host"
Summary(pl):	Program do ledzenia cieki pakietw IP
Name:		traceroute-nanog
Version:	6.1.1
Release:	1
License:	distributable
Group:		Applications/Networking
# there is no anonymous access to ftp.aces.com at the moment(?)
#Source0:	ftp://ftp.aces.com/pub/software/traceroute/beta/%{name}-%{version}.tar.gz
Source0:	ftp://ftp.debian.org/debian/pool/main/t/traceroute-nanog/traceroute-nanog_6.1.1.orig.tar.gz
Patch0:		%{name}-debian.patch
Obsoletes:	traceroute
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Extended version of normal traceroute utility. It can report AS# at
each hop (from GRR), report owner at each hop (from DNS) etc.

%description -l pl
Rozszerzona wersja programu traceroute. Potrafi raportowa AS# (z
GRR), waciciela (z DNS) itp. na kadym kroku.

%prep
%setup -q
%patch -p1

%build
%{__cc} %{rpmcflags} -o tracerouten traceroute.c -lm -lresolv

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install tracerouten $RPM_BUILD_ROOT%{_sbindir}/traceroute
install traceroute.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc 0_readme.txt faq.txt
%attr(4754,root,adm) %{_sbindir}/traceroute
%{_mandir}/man8/traceroute.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: traceroute-nanog.spec,v $
Revision 1.17  2002/07/23 10:32:05  qboosh
- updated to 6.1.1 (previous version had some bugs and vulnerabilities)
- added debian patch with security fixes and man page

Revision 1.16  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/05 19:35:23  gotar
- fixed Summary.

Revision 1.14  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2002/01/11 15:38:37  kloczek
- release 3.

Revision 1.12  2001/11/26 15:12:33  jack
- Changed group from icmp to adm

Revision 1.11  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2000/07/13 23:53:36  kloczek
- spec adapterized.

Revision 1.9  2000/07/11 14:20:55  baggins
- release 2
- obsoletes traceroute
- changed binary name to traceroute

Revision 1.8  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.6  2000/01/20 23:09:16  kloczek
- added passing $RPM_OPT_FLAGS,
- changed License to distributable.
- changed Group to Applications/Networking,
- added "rm -rf $RPM_BUILD_ROOT" on top %install,
- added gzipping %doc.

* Thu Jan 20 2000 ukasz Trbiski <lukasz@pld.org.pl>
- cosmetics
- initial version for PLD
